# ARBDrawIndirect (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBDrawIndirect

    java.lang.Object
      org.lwjgl.opengl.ARBDrawIndirect

    public final class ARBDrawIndirect

extends java.lang.Object

Field Summary
`static int` `GL_DRAW_INDIRECT_BUFFER` Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:
`static int` `GL_DRAW_INDIRECT_BUFFER_BINDING` Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

Method Summary
`static void` `glDrawArraysIndirect(int mode, java.nio.ByteBuffer indirect)`
`static void` `glDrawArraysIndirect(int mode, java.nio.IntBuffer indirect)` Overloads glDrawArraysIndirect.
`static void` `glDrawArraysIndirect(int mode, long indirect_buffer_offset)`
`static void` `glDrawElementsIndirect(int mode, int type, java.nio.ByteBuffer indirect)`
`static void` `glDrawElementsIndirect(int mode, int type, java.nio.IntBuffer indirect)` Overloads glDrawElementsIndirect.
`static void` `glDrawElementsIndirect(int mode, int type, long indirect_buffer_offset)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_DRAW_INDIRECT_BUFFER

    public static final int GL_DRAW_INDIRECT_BUFFER

  Accepted by the <target> parameters of BindBuffer, BufferData, BufferSubData, MapBuffer, UnmapBuffer, GetBufferSubData, GetBufferPointerv, MapBufferRange, FlushMappedBufferRange, GetBufferParameteriv, BindBufferRange, BindBufferBase, and CopyBufferSubData:

  See Also:
    Constant Field Values

### GL_DRAW_INDIRECT_BUFFER_BINDING

    public static final int GL_DRAW_INDIRECT_BUFFER_BINDING

  Accepted by the <value> parameter of GetIntegerv, GetBooleanv, GetFloatv, and GetDoublev:

  See Also:
    Constant Field Values

Method Detail

### glDrawArraysIndirect

    public static void glDrawArraysIndirect(int mode,
                                            java.nio.ByteBuffer indirect)

### glDrawArraysIndirect

    public static void glDrawArraysIndirect(int mode,
                                            long indirect_buffer_offset)

### glDrawArraysIndirect

    public static void glDrawArraysIndirect(int mode,
                                            java.nio.IntBuffer indirect)

  Overloads glDrawArraysIndirect.

### glDrawElementsIndirect

    public static void glDrawElementsIndirect(int mode,
                                              int type,
                                              java.nio.ByteBuffer indirect)

### glDrawElementsIndirect

    public static void glDrawElementsIndirect(int mode,
                                              int type,
                                              long indirect_buffer_offset)

### glDrawElementsIndirect

    public static void glDrawElementsIndirect(int mode,
                                              int type,
                                              java.nio.IntBuffer indirect)

  Overloads glDrawElementsIndirect.

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.